﻿using MatrixDemo.Data.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MatrixDemo.Data.Configurations
{
    public class TrainingProgressConfiguration : IEntityTypeConfiguration<TrainingProgress>
    {
        public void Configure(EntityTypeBuilder<TrainingProgress> builder)
        {
            builder.HasKey(k => new { k.EmployeeId, k.ToolId });

            builder.HasOne(k => k.Tool)
                .WithMany();

            builder.HasOne(k => k.Employee)
                .WithMany(e => e.TrainingProgresses)
                .HasForeignKey(e => e.EmployeeId);

            builder.HasData(new TrainingProgress() { EmployeeId = 1, ToolId = 1, Finished = true },
                new TrainingProgress() { EmployeeId = 2, ToolId = 1, Finished = false },
                new TrainingProgress() { EmployeeId = 2, ToolId = 2, Finished = true });
        }
    }
}
